<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container">
        <div class="text-center">
            <h3>Danh sách người dùng đăng ký</h3>
        </div>

        <table class="table table-bordered table-striped table-hover" id="tbl-user">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>FirstName</th>
                    <th>LastName</th>
                    <th>Country</th>
                    <th>Subject</th>
                    <th>Customer Type</th>
                    <th>Register Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</body>
<script>
    $(document).ready(function () {
        onPageLoadDing();
        $('#tbl-user').on("click",".btn-edit", onBtnEdit);
        $('#tbl-user').on("click",".btn-delete", onBtnDel);
    })
    //
    function onBtnEdit(){
        console.log("Bấm nút Sửa, Id của user tương ứng là : "  + $(this).data("id"));
        const vDETAIL_FORM_URL =  "Task 32.55.html" ;
        var vUrlOpen = 
        vDETAIL_FORM_URL + "?id=" + $(this).data("id");
        window.location.href = vUrlOpen ;
    }
    //
    function onBtnDel(){
        console.log("Bấm nút Xoá, Id của user tương ứng là : "  + $(this).data("id"));
    }

    function onPageLoadDing() {
        callAPIGetDataUser();
    }
    //
    function callAPIGetDataUser() {
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/",
            type: 'GET',
            dataType: 'json',
            success: function (res) {
                console.log(res);
                loadDataToTable(res);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            }
        })
    }
    // load dữ liệu vào table 
    function loadDataToTable(paramData) {
        for (var bI = 0; bI < paramData.length; bI++) {
            var bNewRow = $("<tr>").appendTo("#tbl-user tbody");
            // tạo các trường cho table
            $("<td>").html(paramData[bI].id).appendTo(bNewRow);
            $("<td>").html(paramData[bI].firstname).appendTo(bNewRow);
            $("<td>").html(paramData[bI].lastname).appendTo(bNewRow);
            $("<td>").html(paramData[bI].country).appendTo(bNewRow);
            $("<td>").html(paramData[bI].subject).appendTo(bNewRow);
            $("<td>").html(paramData[bI].customerType).appendTo(bNewRow);
            $("<td>").html(paramData[bI].registerStatus).appendTo(bNewRow);
            // tạo cột chứa nút sửa và xoá
            var bColAction = $("<td>").appendTo(bNewRow);
            var bButtonEdit = $("<button>")
                .attr("class", "btn btn-primary col-6 btn-edit")
                .html("Sửa");
            bButtonEdit.attr("data-id", paramData[bI].id);
            bButtonEdit.attr("data-firstname", paramData[bI].firstname);
            bButtonEdit.attr("data-lastname", paramData[bI].lastname);
            bButtonEdit.attr("data-country", paramData[bI].country);
            bButtonEdit.attr("data-subject", paramData[bI].subject);
            bButtonEdit.attr("data-customerType", paramData[bI].customerType);
            bButtonEdit.attr("data-registerStatus", paramData[bI].registerStatus);
            // thêm vào cột action
            bButtonEdit.appendTo(bColAction);
            // tạo nút xoá
            var bButtonDel = $("<button>")
                .attr("class", "btn btn-danger col-6 btn-delete")
                .html("Xoá");
            bButtonDel.attr("data-id", paramData[bI].id);
            bButtonDel.attr("data-firstname", paramData[bI].firstname);
            bButtonDel.attr("data-lastname", paramData[bI].lastname);
            bButtonDel.attr("data-country", paramData[bI].country);
            bButtonDel.attr("data-subject", paramData[bI].subject);
            bButtonDel.attr("data-customerType", paramData[bI].customerType);
            bButtonDel.attr("data-registerStatus", paramData[bI].registerStatus);
            // thêm vào cột action
            bButtonDel.appendTo(bColAction);
        }
    }
</script>

</html>